StarObjectSmallGraphicInternal::SdrGraphicGroup Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
StarObjectSmallGraphicInternal::SdrGraphicGroup Class Reference

Internal: virtual class to store a Sdr graphic group. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SdrGraphicGroup:

## Public Member Functions
| SdrGraphicGroup (int id)
| constructor More...
virtual std::string | print () const
| basic print function More...
bool | send (STOFFListenerPtr listener, StarObject &object)
| try to send the graphic to the listener More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphic
| SdrGraphic (int id)
| constructor More...
std::string | getName () const
| return the object name More...
void | updateStyle (STOFFGraphicStyle &style, StarObject &, STOFFListenerPtr) const
| try to update the style More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor More...
virtual | ~Graphic ()
| destructor More...

## Public Attributes
librevenge::RVNGString | m_groupName
| the group name More...
std::vector< shared_ptr< StarObjectSmallGraphic > > | m_child
| the child More...
STOFFVec2i | m_refPoint
| the ref point More...
bool | m_hasRefPoint
| flag to know if we use the ref point More...
int | m_groupDrehWink
| the dreh wink: rotation? More...
int | m_groupShearWink
| the shear wink More...
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphic
STOFFBox2i | m_bdbox
| the bdbox More...
int | m_layerId
| the layer id More...
STOFFVec2i | m_anchorPosition
| the anchor position More...
std::vector< GluePoint > | m_polygon
| a polygon More...
bool | m_flags [6]
| a list of flag More...
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type More...

## Friends
std::ostream & | operator<< (std::ostream &o, SdrGraphicGroup const &graph)
| print object data More...

## Detailed Description

Internal: virtual class to store a Sdr graphic group.

## Constructor & Destructor Documentation

StarObjectSmallGraphicInternal::SdrGraphicGroup::SdrGraphicGroup | ( | int | id | ) |
| inlineexplicit

constructor

## Member Function Documentation

virtual std::string StarObjectSmallGraphicInternal::SdrGraphicGroup::print | ( |  | ) | const
| inlinevirtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::SdrGraphic.

bool StarObjectSmallGraphicInternal::SdrGraphicGroup::send | ( | STOFFListenerPtr | listener,
|  | StarObject & | object
| ) |  |
| inlinevirtual

try to send the graphic to the listener

Reimplemented from StarObjectSmallGraphicInternal::Graphic.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | SdrGraphicGroup const & | graph
| ) |  |
| friend

print object data

## Member Data Documentation

std::vector<shared_ptr<StarObjectSmallGraphic> > StarObjectSmallGraphicInternal::SdrGraphicGroup::m_child

the child

int StarObjectSmallGraphicInternal::SdrGraphicGroup::m_groupDrehWink

the dreh wink: rotation?

librevenge::RVNGString StarObjectSmallGraphicInternal::SdrGraphicGroup::m_groupName

the group name

Referenced by StarObjectSmallGraphic::readSVDRObjectGroup().

int StarObjectSmallGraphicInternal::SdrGraphicGroup::m_groupShearWink

the shear wink

bool StarObjectSmallGraphicInternal::SdrGraphicGroup::m_hasRefPoint

flag to know if we use the ref point

Referenced by StarObjectSmallGraphic::readSVDRObjectGroup().

STOFFVec2i StarObjectSmallGraphicInternal::SdrGraphicGroup::m_refPoint

the ref point

Referenced by StarObjectSmallGraphic::readSVDRObjectGroup().

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx